> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workflow Templates

> Endpoint to retrieve all workflow templates.



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/workflows/api.json get /workflows/v1/templates
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /workflows/v1/templates:
    get:
      tags:
        - Workflow Templates
      summary: Get Workflow Templates
      description: Endpoint to retrieve all workflow templates.
      operationId: workflow_service_get_workflow_templates_v1_templates_get
      parameters:
        - name: size
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Number of items per page
            default: 300
            title: Size
          description: Number of items per page
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Search keywords
            title: Search
          description: Search keywords
        - name: start
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter by start time (ISO 8601 format)
            title: Start
          description: Filter by start time (ISO 8601 format)
        - name: end
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter by end time (ISO 8601 format)
            title: End
          description: Filter by end time (ISO 8601 format)
        - name: logical_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Logical Id
        - name: workflow_id
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/PydanticObjectId'
              - type: 'null'
            title: Workflow Id
        - name: access_level
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/AccessControlLevel'
              - type: 'null'
            title: Access Level
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowTemplateListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearer: []
components:
  schemas:
    PydanticObjectId:
      type: string
      maxLength: 24
      minLength: 24
      pattern: ^[0-9a-f]{24}$
      example: 5eb7cf5a86d9755df3a6c593
    AccessControlLevel:
      type: string
      enum:
        - personal
        - team
        - system
      title: AccessControlLevel
      description: Enum representing different access control levels.
    WorkflowTemplateListResponse:
      properties:
        workflow_templates:
          items:
            $ref: '#/components/schemas/WorkflowTemplatesModel'
          type: array
          title: Workflow Templates
          description: List of workflow templates
        total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total
          description: Total number of workflow templates available without pagination.
      type: object
      title: WorkflowTemplateListResponse
      description: |-
        Response model for a list of workflow templates.
        Contains a list of WorkflowTemplateModel objects.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkflowTemplatesModel:
      properties:
        teamId:
          anyOf:
            - $ref: '#/components/schemas/PydanticObjectId'
            - type: 'null'
          description: ID of the team that owns this record
        createdBy:
          anyOf:
            - $ref: '#/components/schemas/PydanticObjectId'
            - type: 'null'
          description: ID of the user who created this record
        updatedBy:
          anyOf:
            - $ref: '#/components/schemas/PydanticObjectId'
            - type: 'null'
          description: ID of the user who last updated this record
        createdAt:
          type: string
          format: date-time
          title: Createdat
        updatedAt:
          type: string
          format: date-time
          title: Updatedat
        _id:
          anyOf:
            - $ref: '#/components/schemas/PydanticObjectId'
            - type: 'null'
          description: MongoDB document ObjectID
        workflow_template_config:
          anyOf:
            - $ref: '#/components/schemas/WorkflowTemplateConfig-Output'
            - type: 'null'
          description: Workflow Template Configuration
      type: object
      title: WorkflowTemplatesModel
      description: Stores a workflow template configuration present in the workflow system.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    WorkflowTemplateConfig-Output:
      properties:
        access_level:
          anyOf:
            - $ref: '#/components/schemas/AccessControlLevel'
            - type: 'null'
          title: Access Level
          description: Access level for the node library
          default: personal
        access_list:
          anyOf:
            - items:
                $ref: '#/components/schemas/PydanticObjectId'
              type: array
            - type: 'null'
          title: Access List
          description: List of user IDs or team IDs that have access to this node library
          input_field_not_visible: true
        logical_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow Template Logical ID
          description: Unique identifier for the workflow template
          input_field_disallowed: true
        workflow_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow ID
          description: The ID of the workflow this template belongs to
          input_field_not_visible: true
      type: object
      title: WorkflowTemplateConfig
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````